<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Introduction and Selectors</title>
	<!--Best Practice: External styling or External -->
	<link rel="stylesheet" type="text/css" href="styles.css">

	<!-- Internal styling allows us to add css within a page without the use of thye style attribute per element. In internal styling you can select multiple elelments to style within the html where the internal style is. 

	However, inline styling is given more priority than internal styling.

	The Problem with internal styles is it adds more code to your HTML. It makes your HTML document bulkier.

	-->
	<!-- Internal CSS -->
<!-- 	<style type="text/css">

		h1 {
			color: green !important;
		}

	</style> -->

	
</head>
	<body>
		<!-- Implementing Stylings in a page -->
		<!-- Inline styling is done when we add a style attribute to our tag. This will allow us to change the styles of an element. The values before the colon(:) are the style properties of an element that we want to change and the value after the colon are the values we would like to assign to a property.

		<tag style>="property": value;  property:value;"></tag>

		However, HTML was made to determine the layout of a page by creating elements not for styling.

		-->
		<!-- <h1 style="color: indianred;">Hello World!</h1>
		<h1>I am color Green!</h1>
 -->
		<!-- Mini Activity


			Create 3 h2 elements with the following text:
				-My favorite food is <yourFavoriteFood>
				-My favorite dessert is <yourFavoriteDesset>
				-My favorite Drink is <yourFavoriteDrink>

			Add an inline for your h2 with favorite food:
				-make it color pink
				-make it about 50px in size

			Add an external css styling for the rest of the h2
				-make them yellow
				-make it about 20px in size.
				Stretch Goal
				-add a black background color.

		 -->
<!-- 
		 <h2 style="color: pink; font-size: 50px;">My favorite food is Chicken!</h2>
		 <h2>My favorite dessert is Ice Cream!</h2>
		 <h2>My favorite Drink is Coke Zero!</h2>
-->
		<!-- navbar -->
		<nav id="top">
			<a href="#landing">Zuitt</a>	
			<div>
				<a href="#landing">Landing</a>
				<a href="#register">Register</a>
			</div>
		</nav>
		<!-- end of navbar -->


		
		<section id="landing"><!-- ids are unique identifiers of an element. -->
			<h1>Hello World!</h1>
		<h2>Welcome to Zuitt</h2>
		<h3 id="zuit-motto" class="offering-item">Opportunities for Everyone, Everywhere!</h3>
		<!-- image of a scary dog -->
		<img src="https://place-puppy.com/450x450">

		<!-- class - are used to gourp together elements. Therefore, we can now style multiples elements of the same class. All elements with the same class will share the stylings and declarations for the class. However, id is still of higher priority than class. -->
		<ol id="bootcamp-learning-list">
				<li class="offering-item" id="listItem1">Day Classes</li>
				<li class="offering-item">Night Classes</li>
				<li class="offering-item">Intro to Coding</li>
		</ol>

		<a href="#top">Back to top</a>
	</section>
		
		<section id="register">
			<h2>Register</h2>
		<form>
			<label for="first-name">First Name:</label>
			<input type="text" id="first-name" required autocomplete>
			<label for="last-name">Last Name:</label>
			<input type="text" id="last-name" required autocomplete>
			<label for="email">Email:</label>
			<input type="text" id="email" required autocomplete>

			<button type="submit">Apply Now!</button>

		</form>
			
		<a href="#top">Back to top</a>
		</section>
		<!-- <section>
			<form>
				<label for="age">Age:</label>
				<input type="text" id="age" required autocomplete>
			</form>
		</section> -->
	</body>
</html>